* PAsar a cadena de caracteres

replstr "," "." . adt_weekday
destring adt_weekday, replace

replstr "," "." . adt_weekend
destring adt_weekend, replace

replstr "," "." . adt_week
destring adt_week, replace

replstr "," "." . wtp_ev_all
destring wtp_ev_all, replace

replstr "," "." . internet
destring internet, replace

replstr "," "." . internet_i
destring internet_i, replace

* Poner nombre de las categorias

label define Residence 1 "Capital" 2 "North" 3 "South"
label values residence_zone Residence

generate age_categorical = .

label define age_cat 1 "Menos 30" 2 "Entre 30 y 39" 3 "Entre 40 y 49" 4 "Entre 50 y 59" 5 "Ms de 10"
label values age_categorical age_cat

* Crear variable categorica edad

replace age_categorical = 1 if age < 30
replace age_categorical = 2 if age >= 30 & age < 40
replace age_categorical = 3 if age >= 40 & age < 50
replace age_categorical = 4 if age >= 50 & age < 10
replace age_categorical = 5 if age >= 10


label define dichotonomous 0 "No" 1 "YES"


* Renombrar las variables

rename residence_zone P1a_residence_zone
rename adt_weekday P2a_adt_weekday
rename adt_weekend P2b_adt_weekend
rename adt_week P2c_adt_week
rename mrr P3_mrr
rename brand_current P4a_brand_current
rename current_segment P4b_current_segment
rename current_segment_type P4c_current_segment_type
rename current_car_size P4d_current_car_size
rename purhcase_segment P5a_purhcase_segment
rename newcar_segment_type P5b_newcar_segment_type
rename new_car_size P5c_new_car_size
rename wtp_new P1_wtp_new
rename wtp_acce P7_wtp_acce
rename wtc_noinfo P8_wtc_noinfo
rename wtc_evinfo P9a_wtc_evinfo
rename wtc_changetoev P9b_wtc_changetoev
rename wtc_toicev P9c_wtc_toicev
rename wtp_ev_all P12a_wtp_ev_all
rename wtp_ev P12b_wtp_ev
rename wtp_50range P13_wtp_50range
rename wtp_100range P14_wtp_100range
rename wtp_fast P15_wtp_fast
rename _need_to_buy_last_tech P11_need_to_buy_last_tech
rename _social_media P17_social_media
rename _ownership_tech P18_ownership_tech
rename _job_eco_satisfaction P19_job_eco_satisfaction
rename _social_relationship_satisfactio P20_social_relationship_satisf
rename _goal_dreams_achievement P21_goal_dreams_achieve
rename _car_renovation_needed P22_car_renovation_needed
rename _rethinking_after_purchase P23_rethinking_after_purchase
rename _analyze_car_market_for_buy P24_analyze_car_market_for_buy
rename _imagine_unfauvorable_consequenc P25_imagine_unfauvorable_consequenc
rename _imagine_unfauvorable_consequenc P25_imagine_unfauvorable_conseq
rename _risk_investment P21_risk_investment
rename _behaviour_influatedby_consequen P27_behaviour_influatedby_conse
rename _my_action_cannot_change_future P28_action_cannot_change_future
rename _work_hard_for_dreams_car P29_work_hard_for_dreams_car
rename _sacrify_today_weelbieng_for_bet P30_sacrify_today_weelbieng_
rename _emission_electricity_generation P31_emission_electricity_genera
rename _commintment_purchase_efficent_d P32_commintment_purchase_effice
rename _rational_use_energy P33_rational_use_energy
rename _confidence_brand_car P34_confidence_brand_car
rename brand_1 P35_brand_1
rename brand_2 P35bbrand_2
rename P35bbrand_2 P35b_brand_2
rename P35_brand_1 P35a_brand_1
rename wtp_res P31_wtp_res
rename a_design P37a_design
rename b_consumption_emission P37b_consumption_emission
rename c_versatility_adaptability P37c_versatility_adaptability
rename d_tech_equipment_connectivity P37d_tech_equipment_connecti
rename e_quality_price P37e_quality_price
rename f_confidence_lowmanteinance P37f_confidence_lowmanteinance
rename g_driving_experience_luxury_bran P37g_driving_experience_luxury_
rename age P38_age
rename gender P39a_gender
rename var51 P39b_gender
rename education P40_education
rename _childrens P41_childrens
rename _job P42_job
rename _house P43_house
rename _residencia P1b_residencia
rename age_categorical P38b_age_categorical
rename pc P44_pc
rename laptop P44_laptop
rename smartphone P44_smartphone
rename old_mobile P44_old_mobile
rename internet P45_internet
rename internet_i P45_internet_i
rename ncars P46_ncars
rename antiquity P47_antiquity
rename income P48_income
rename dummy_income_1 P48a_dummy_income_1
rename dummy_income_2 P48b_dummy_income_2
rename dummy_income_3 P48c_dummy_income_3
rename dummy_income_4 P48d_dummy_income_4
rename dummy_income_5 P48e_dummy_income_5


gen Never_buy =.
gen occupation_dicho = 0
gen P42_job_own = 0
gen P42_job_other = 0
gen KCW = 0
gen MRR=0
gen RES = 0

gen Milenial = 0
gen Gen_X = 0
replace Milenial =1 if  P38_age <=38
replace Gen_X =1 if P38_age >38 & P38_age <=58


gen capital = 0

gen Toyota =0
gen BMW = 0
gen Audi = 0
gen Mercedes = 0
gen Seat = 0
gen Ford = 0
gen Renault_Nissan = 0
gen VW = 0
gen PSA = 0
gen No_preferences = 0

gen childrens = 0
replace childrens =1 if P41_childrens >0

replace Toyota = 1 if P35a_brand_1 == "Toyota" | P35b_brand_2 =="Toyota" 
replace BMW = 1 if P35a_brand_1 == "BMW" | P35b_brand_2 =="BMW"
replace Audi = 1 if P35a_brand_1 == "Audi" | P35b_brand_2 =="Audi" 
replace Mercedes = 1 if P35a_brand_1 == "Mercedes" | P35b_brand_2 =="Mercedes" 
replace Renault_Nissan = 1 if P35a_brand_1 == "Renault" | P35b_brand_2 =="Renault" | P35a_brand_1 == "Nissan" | P35b_brand_2 =="Nissan" 
replace Seat = 1 if P35a_brand_1 == "Seat" | P35b_brand_2 =="Seat"  
replace Ford = 1 if P35a_brand_1 == "Ford" | P35b_brand_2 =="Ford" 
replace PSA = 1 if P35a_brand_1 == "Citron" | P35b_brand_2 =="Citron" | P35a_brand_1 == "Peugeot" | P35b_brand_2 =="Peugeot" 
replace VW = 1 if P35a_brand_1 == "VW" | P35b_brand_2 =="VW" | P35a_brand_1 == "Volskwagen" | P35b_brand_2 =="Volskwagen" 
replace No_preferences = 1 if P35a_brand_1 == "No preferences" & P35b_brand_2 =="No preferences"  | P35a_brand_1 == "No tengo una marca preferida"

gen large = 0
gen small = 0
gen SUV = 0
gen Compact = 0

replace large = 1 if P5b_newcar_segment_type ==7 | P5b_newcar_segment_type ==6
replace Compact = 1 if P5b_newcar_segment_type ==5
replace small = 1 if P5b_newcar_segment_type ==4 | P5b_newcar_segment_type ==3
replace SUV = 1 if P5b_newcar_segment_type ==8 | P5b_newcar_segment_type ==9 | P5b_newcar_segment_type ==10

replace Never_buy =0 
replace Never_buy =1 if  P11_wtpless=="No lo compro aunque lo rebajen"
replace P42_job_own = 1 if   P42_job == "Trabajador cuenta propia"
replace P42_job_other = 1 if P42_job == "Trabajador cuenta ajena"
replace KCW = P2c_adt_week*7
replace MRR = 1 if  P3_mrr<=200
replace RES =1 if  P36_wtp_res != 0
replace VW = 1 if P35a_brand_1 == "VW" | P35b_brand_2 =="VW" | P35a_brand_1 == "Volskwagen" | P35b_brand_2 =="Volskwagen" 
replace capital =1 if  P1a_residence_zone ==1
replace P10d_gasolinepreferences = 0  if P10d_gasolinepreferences!=1

gen early_adopters = 0
replace  early_adopters = 1 if  P12a_wtp_ev_all >= 26000

gen early_majority = 0
replace early_majority = 1 if  P9a_wtc_evinfo==1 & early_adopter==0

gen laggards = 0
replace laggards = 1 if  P10d_gasolinepreferences ==1

gen late_majority = 0
replace late_majority =1 if early_adopters ==0 & early_majority ==0 & laggards ==0

* Chi-squared test for Residence Zone (res) and Gender

csgof capital, expperc(55.4, 44.6)  /* use the command 'findit csgof' if the Chi-square test package is not installed */ 
csgof Gender, expperc(45.5,54.5) 


*******  0. Descriptiva  *********

table P1a_residence_zone
tab1 P1a_residence_zone P1a_residence_zone
tab1 P2a_adt_weekday
histogram P2a_adt_weekday
histogram P2b_adt_weekend
tab1 P2b_adt_weekend
summarize P6_wtp_new P6_wtp_new
summarize P6_wtp_new P12a_wtp_ev_all P12b_wtp_ev
summarize P12a_wtp_ev_all if P12a_wtp_ev_all>0
summarize P12b_wtp_ev if P12b_wtp_ev>0
tab1 P16_need_to_buy_last_tech
tab1 P17_social_media P17_social_media
tab1 P18_ownership_tech
tab1 P19_job_eco_satisfaction
tab1 P20_social_relationship_satisf
tab1 P20_social_relationship_satisf
tab1 P21_goal_dreams_achieve
tab1 P22_car_renovation_needed
tab1 P23_rethinking_after_purchase
tab1 P24_analyze_car_market_for_buy
tab1 P25_imagine_unfauvorable_conseq
tab1 P26_risk_investment
tab1 P27_behaviour_influatedby_conse
tab1 P28_action_cannot_change_future
tab1 P29_work_hard_for_dreams_car
tab1 P30_sacrify_today_weelbieng_
tab1 P31_emission_electricity_genera
tab1 P32_commintment_purchase_effice
tab1 P33_rational_use_energy
tab1 P34_confidence_brand_car P34_confidence_brand_car
tab1 P37a_design
summarize P37a_design P37b_consumption_emission P37c_versatility_adaptability P37d_tech_equipment_connecti P37e_quality_price P37f_confidence_lowmanteinance P37g_driving_experience_luxury_
tab1 P38b_age_categorical
tab1 P41_childrens
tab1 P43_house
tab1 P42_job P42_job
tab1 P46_ncars



***** 1. PCA socio-psicological indexes


*** Test de esfericidad de bartlett y KMO, salen interesantes para proseguir con el PCA y aphas de crombach
factortest P16_need_to_buy_last_tech P17_social_media P18_ownership_tech P19_job_eco_satisfaction P20_social_relationship_satisf P21_goal_dreams_achieve P22_car_renovation_needed P23_rethinking_after_purchase P24_analyze_car_market_for_buy P25_imagine_unfauvorable_conseq P26_risk_investment P27_behaviour_influatedby_conse P28_action_cannot_change_future P29_work_hard_for_dreams_car P30_sacrify_today_weelbieng_ P31_emission_electricity_genera P32_commintment_purchase_effice P33_rational_use_energy  

alpha P16_need_to_buy_last_tech P17_social_media P18_ownership_tech 
alpha P19_job_eco_satisfaction P20_social_relationship_satisf P21_goal_dreams_achieve 
alpha P22_car_renovation_needed P23_rethinking_after_purchase P24_analyze_car_market_for_buy 
alpha P25_imagine_unfauvorable_conseq P26_risk_investment P27_behaviour_influatedby_conse 
alpha P28_action_cannot_change_future P29_work_hard_for_dreams_car P30_sacrify_today_weelbieng_ 
alpha P31_emission_electricity_genera P32_commintment_purchase_effice P33_rational_use_energy  
 

pca P16_need_to_buy_last_tech P17_social_media P18_ownership_tech P19_job_eco_satisfaction P20_social_relationship_satisf P21_goal_dreams_achieve P22_car_renovation_needed P23_rethinking_after_purchase P24_analyze_car_market_for_buy P25_imagine_unfauvorable_conseq P26_risk_investment P27_behaviour_influatedby_conse P28_action_cannot_change_future P29_work_hard_for_dreams_car P30_sacrify_today_weelbieng_ P31_emission_electricity_genera P32_commintment_purchase_effice P33_rational_use_energy, components(9) 
rotate, equamax horst blanks(.3)
predict pc1 pc2 pc3 pc4 pc5 pc6 pc7 pc8 pc9 , score

guttmanl pc1 pc2 pc3 pc4 pc5 pc6 pc7 pc8 pc9

rename pc1 I_Tech
label variable I_Tech "Oppeness to new technology trends"

rename pc2 I_Env_commitment
label variable  I_Env_commitment "Commitment on purchase efficient devices and rational use of energy"

rename pc3 I_Proffesional_sat 
label variable  I_Proffesional_sat "Be satisfied with your social and work relationships by reaching goals and dreams"

rename pc4 I_dream_car_Beh 
label variable I_dream_car_Beh "Have a reflexive hehaviour respect actions performed"
rename I_dream_car_Beh I_change_car

rename pc5 I_future 
label variable  I_future "Future hedonist"

rename pc6 I_Rational
label variable  I_Rational "Aversion to risk"
rename I_Rational I_no_risk

rename pc7 I_Reflexive
label variable  I_Impulsive "Impulsive behavior"
rename I_Reflexive I_Impulsive

rename pc8 I_Social_Satifaction
label variable  I_Social_Satifaction "Social and family relationships satisfactory"

rename pc9 I_analytic 
label variable  I_analytic "Individual actions can change the future working hard for achieve dreams"
rename I_analytic I_reflexive

***** Standarize Components

foreach v of varlist I_Tech I_Env_commitment I_Proffesional_sat I_dream_car_Beh I_future I_Rational I_Reflexive I_Social_Satifaction I_analytic {
    summ `v', meanonly
    gen `v'_7 = 7*(`v'-`r(min)')/(`r(max)'-`r(min)')
} 

**** Standarizar las variables

foreach v of varlist I_Tech I_Env_commitment I_Life_satifcatction I_Reflexive_Beh I_Dreamer I_Impulsive {
    summ `v', meanonly
    gen `v'_7 = 7*(`v'-`r(min)')/(`r(max)'-`r(min)')
} 



***** PCA car features

* Test de esfericidad -----> No combienen hacer PCA, poca correlacin entre las variables...

correlate P37b_consumption_emission P37c_versatility_adaptability P37d_tech_equipment_connecti P37e_quality_price P37f_confidence_lowmanteinance P37g_driving_experience_luxury_
factortest P37b_consumption_emission P37c_versatility_adaptability P37d_tech_equipment_connecti P37e_quality_price P37f_confidence_lowmanteinance P37g_driving_experience_luxury_

******** ANALOSYS CLUSTER  ************

**** Standarizamos la variable WtP_EV...

foreach v of varlist P12a_wtp_ev_all {
    summ `v', meanonly
    gen `v'_1 = 1*(`v'-`r(min)')/(`r(max)'-`r(min)')
} 


cluster wardslinkage P8_wtc_noinfo P9a_wtc_evinfo P9b_wtc_changetoev P12a_wtp_ev_all_1 market P10d_gasolinepreferences, measure(L2) name(Cluster_2)
cluster dendrogram Cluster_2, cutnumber(6) showcount
cluster generate Cluster_2 = groups(6), name(Cluster_2) ties(error)
tabulate  Cluster_2
tabstat P8_wtc_noinfo P9a_wtc_evinfo P9b_wtc_changetoev P12a_wtp_ev_all_1 market Never_buy, by (Cluster_2)


gen CL_1 = 0
gen CL_2 = 0
gen CL_3 = 0
gen CL_4 = 0
gen CL_5 = 0
gen CL_6 = 0

replace CL_1 = 1 if Cluster_2 ==1
replace CL_2 = 1 if Cluster_2 ==2
replace CL_3 = 1 if Cluster_2 ==3
replace CL_4 = 1 if Cluster_2 ==4
replace CL_5 = 1 if Cluster_2 ==5
replace CL_6 = 1 if Cluster_2 ==6

gen MMR_l =  P3_mrr
gen WtP_EV = .

replace MMR_l = 1000 if P3_mrr>1000
replace WtP_EV = P12a_wtp_ev_all if P12a_wtp_ev_all>0


**** Descriptiva

tab1  P1a_residence_zone
by Cluster_2, sort : tab1 P1a_residence_zone

tab1  P8_wtc_noinfo
by Cluster_2, sort : tab1 P8_wtc_noinfo


tab1  P9a_wtc_evinfo
by Cluster_2, sort : tab1 P9a_wtc_evinfo

tab1  large 
by Cluster_2, sort : tab1 large 

tab1   small 
by Cluster_2, sort : tab1  small 

tab1 SUV 
by Cluster_2, sort : tab1 SUV 

tab1  Compact
by Cluster_2, sort : tab1 Compact

tab1  Gen_X
by Cluster_2, sort : tab1 Gen_X

tab1  Milenial
by Cluster_2, sort : tab1 Milenial

tab1  P39b_gender
by Cluster_2, sort : tab1 P39b_gender

tab1  childrens
by Cluster_2, sort : tab1 childrens


tab1  P42_job_own
by Cluster_2, sort : tab1 P42_job_own

tab1  University
by Cluster_2, sort : tab1 University

tab1  P42_job_other
by Cluster_2, sort : tab1 P42_job_other

 
**** 2. MODELOS ECONOMTRICOS *********

* LOGIT & PROBIT REGRESSION (EXECUTE THE PROGRAM)

* MODEL 1: WTC THE CONVENTIONAL VEHICLE FOR THE EVs 

* Logistic Regression of WTC to an EV without information

*** NOTE: Individuos que se estaran dispuestos a pagar de ms por un vehculo elctrico de inicio

*** Variable blocks


correlate PCA_tech PCA_envirom PCA_social PCA_Reflexive PCA_Dreamer PCA_impulsive P37a_design P37b_consumption_emission P37c_versatility_adaptability P37d_tech_equipment_connecti P37e_quality_price P37f_confidence_lowmanteinance P37g_driving_experience_luxury_

	global X_socioeco "Milenial Gen_X P39b_gender P40_education children P42_job_other P42_job_own high_income" 
	global X_Mobility "capital KCW MRR"
	global X_Carfeatures "P46_ncars P47_antiquity P37a_design P37b_consumption_emission P37c_versatility_adaptability P37d_tech_equipment_connecti P37e_quality_price P37f_confidence_lowmanteinance P37g_driving_experience_luxury_ P34_confidence_brand_car large small SUV Compact"
*	global X_Psyco "PCA_tech PCA_envirom PCA_social PCA_Reflexive PCA_Dreamer PCA_impulsive"
	global X_Psyco_2 "I_Tech I_Env_commitment I_Proffesional_sat I_dream_car_Beh I_future I_Rational I_Reflexive I_Social_Satifaction I_analytic"
*	global X_Psyco_full "I_Tech I_Env_commitment I_Life_satifcatction I_Reflexive_Beh I_Dreamer I_Impulsive"
	global X_Brand "BMW Audi Mercedes Seat Ford Renault_Nissan VW PSA No_preferences"
	global X_Rogers "early_adopters early_majority late_majority laggards"
	
	*** Regresion con el cluster 1
	
	eststo res1: xi: sw, pr(0.1): logit CL_1 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	eststo res2: xi: sw, pr(0.1): probit CL_1 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)

	*** Regresion con el cluster 2

	eststo res3: xi: sw, pr(0.1): logit CL_2 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	eststo res4: xi: sw, pr(0.1): probit CL_2 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)

	*** Regresion con el cluster 3

	eststo res5: xi: sw, pr(0.1): logit CL_3 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	eststo res6: xi: sw, pr(0.1): probit CL_3 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	
		*** Regresion con el cluster 4

	eststo res7: xi: sw, pr(0.1): logit CL_4 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	eststo res8: xi: sw, pr(0.1): probit CL_4 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)

		*** Regresion con el cluster 5

	eststo res9: xi: sw, pr(0.1): logit CL_5 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	eststo res10: xi: sw, pr(0.1): probit CL_5 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)

		*** Regresion con el cluster 6

	eststo res11: xi: sw, pr(0.1): logit CL_6 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)
	eststo res12: xi: sw, pr(0.1): probit CL_6 $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_2, vce(robust)

	
	
	
    *** WTP
	
*	eststo res11: xi: sw, pr(0.1): reg P12a_wtp_ev_all $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_full 
*	eststo res12: xi: sw, pr(0.1): reg P6_wtp_new $X_socioeco $X_Mobility $X_Carfeatures $X_Psyco_full

	
	
	esttab res1 res2 res3 res4 res5 res6  res7 res8 res9 res10 res11 res12 using "Table_results_WtC_final.csv", par star(* 0.10 ** 0.05 *** 0.01) replace

	
	
	
